import { ExmlPlugin } from "built-in";

/**
 * 示例自定义插件，您可以查阅 http://developer.egret.com/cn/github/egret-docs/Engine2D/projectConfig/cmdExtensionPlugin/index.html
 * 了解如何开发一个自定义插件
 */
export class ExmlPlugin2 extends ExmlPlugin implements plugins.Command {
    async onFile(file: plugins.File) {
        // console.log(file.basename);
        if (file.basename == 'default.thm.json') return null;
        if (file.extname == '.tmproject') return null;
        if (file.extname == '.png') return null;
        return super['onFile'](file);
    }
}